package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.MultiResponse;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.FirePointAddCmd;
import com.zcloud.fire.check.dto.FirePointDeviceQry;
import com.zcloud.fire.check.dto.FirePointPageQry;
import com.zcloud.fire.check.dto.FirePointUpdateCmd;
import com.zcloud.fire.check.dto.FirePointUpdateDepartmentCmd;
import com.zcloud.fire.check.dto.clientobject.FirePointCO;
import com.zcloud.fire.check.dto.clientobject.FirePointDeviceCO;

import javax.servlet.http.HttpServletResponse;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-11-26 10:12:55
 */
public interface FirePointServiceI {
    PageResponse<FirePointCO> listPage(FirePointPageQry qry);

    SingleResponse<FirePointCO> add(FirePointAddCmd cmd);

    void edit(FirePointUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    FirePointCO getInfoById(Long id);

    void editAllDepartment(FirePointUpdateDepartmentCmd firePointUpdateDepartmentCmd);

    void exportFirePointPage(Long[] ids, HttpServletResponse httpServletResponse);

    MultiResponse<FirePointCO> listByFireRegionId(String fireRegionId);

    PageResponse<FirePointDeviceCO> listDevice(FirePointDeviceQry qry);
}

